field_function_s< F, R >
Inheritance diagram for field_function_s< F, R >:

## Public Types

typedef float_traits< R >::type | float_type

## Public Member Functions

R | operator() (const point_basic< float_type > &x) const
| field_function_s (F f)
Public Member Functions inherited from field_functor< field_function_s< F, R >, R >
const field_function_s< F, R > & | get_ref () const
| operator field_function_s< F, R > () const
R | operator() (const point &x) const

## Public Attributes

F | _f

## Detailed Description

### template<class F, class R>
struct rheolef::field_function_s< F, R >

Definition at line 94 of file field_functor.h.

## Member Typedef Documentation

## float_type

typedef float_traits<R>::type float_type

Definition at line 95 of file field_functor.h.

## Constructor & Destructor Documentation

## field_function_s()

field_function_s | ( | F | f | ) |

Definition at line 97 of file field_functor.h.

## Member Function Documentation

## operator()()

R operator() | ( | const point_basic< float_type > & | x | ) | const

Definition at line 96 of file field_functor.h.

## Member Data Documentation

## _f

F _f

Definition at line 98 of file field_functor.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/field_functor.h